Functions
DMA_Management
Peripheral Driver » LL Driver » AES » Functions

## Functions
__STATIC_INLINE void | ll_aes_set_dma_transfer_block (aes_regs_t *AESx, uint32_t block)
| Set AES transfer blocks in DMA mode. More...
__STATIC_INLINE uint32_t | ll_aes_get_dma_transfer_block (aes_regs_t *AESx)
| Get AES transfer blocks in DMA mode. More...
__STATIC_INLINE void | ll_aes_set_dma_read_address (aes_regs_t *AESx, uint32_t address)
| Set AES read address of RAM in DMA mode. More...
__STATIC_INLINE uint32_t | ll_aes_get_dma_read_address (aes_regs_t *AESx)
| Get AES read address of RAM in DMA mode. More...
__STATIC_INLINE void | ll_aes_set_dma_write_address (aes_regs_t *AESx, uint32_t address)
| Set AES write address of RAM in DMA mode. More...
__STATIC_INLINE uint32_t | ll_aes_get_dma_write_address (aes_regs_t *AESx)
| Get AES write address of RAM in DMA mode. More...

## Detailed Description

## Function Documentation

## ◆ ll_aes_get_dma_read_address()

__STATIC_INLINE uint32_t ll_aes_get_dma_read_address | ( | aes_regs_t * | AESx | ) |

Get AES read address of RAM in DMA mode.

\rst +———————-+—————————–+ | Register | BitsName | +======================+=============================+ | RSTART_ADDR | RSTART_ADDR | +———————-+—————————–+ \endrst

Parameters

  AESx | AES instance

Return values

  Returned | value is the read address in RAM.

Definition at line 980 of file gr55xx_ll_aes.h.

## ◆ ll_aes_get_dma_transfer_block()

__STATIC_INLINE uint32_t ll_aes_get_dma_transfer_block | ( | aes_regs_t * | AESx | ) |

Get AES transfer blocks in DMA mode.

\rst +———————-+—————————–+ | Register | BitsName | +======================+=============================+ | TRAN_SIZE | TRAN_SIZE | +———————-+—————————–+ \endrst

Parameters

  AESx | AES instance

Return values

  Return | value between 1 and 2048.

Definition at line 940 of file gr55xx_ll_aes.h.

## ◆ ll_aes_get_dma_write_address()

__STATIC_INLINE uint32_t ll_aes_get_dma_write_address | ( | aes_regs_t * | AESx | ) |

Get AES write address of RAM in DMA mode.

\rst +———————-+—————————–+ | Register | BitsName | +======================+=============================+ | WSTART_ADDR | WSTART_ADDR | +———————-+—————————–+ \endrst

Parameters

  AESx | AES instance

Return values

  Returned | value is the wrute address in RAM

Definition at line 1020 of file gr55xx_ll_aes.h.

## ◆ ll_aes_set_dma_read_address()

__STATIC_INLINE void ll_aes_set_dma_read_address | ( | aes_regs_t * | AESx,
|  | uint32_t | address
| ) |  |

Set AES read address of RAM in DMA mode.

Note
  This read address of RAM requires 4 byte alignment.

\rst +———————-+—————————–+ | Register | BitsName | +======================+=============================+ | RSTART_ADDR | RSTART_ADDR | +———————-+—————————–+ \endrst

Parameters

  AESx | AES instance
  address | This parameter can be a address in RAM area (0x30000000 ~ 0x3003FFFF).

Return values

  None |

Definition at line 961 of file gr55xx_ll_aes.h.

## ◆ ll_aes_set_dma_transfer_block()

__STATIC_INLINE void ll_aes_set_dma_transfer_block | ( | aes_regs_t * | AESx,
|  | uint32_t | block
| ) |  |

Set AES transfer blocks in DMA mode.

\rst +———————-+—————————–+ | Register | BitsName | +======================+=============================+ | TRAN_SIZE | TRAN_SIZE | +———————-+—————————–+ \endrst

Parameters

  AESx | AES instance
  block | This parameter can be one of the following values: 1 ~ 2048.

Return values

  None |

Definition at line 921 of file gr55xx_ll_aes.h.

## ◆ ll_aes_set_dma_write_address()

__STATIC_INLINE void ll_aes_set_dma_write_address | ( | aes_regs_t * | AESx,
|  | uint32_t | address
| ) |  |

Set AES write address of RAM in DMA mode.

Note
  This write address of RAM requires 4 byte alignment.

\rst +———————-+—————————–+ | Register | BitsName | +======================+=============================+ | WSTART_ADDR | WSTART_ADDR | +———————-+—————————–+ \endrst

Parameters

  AESx | AES instance
  address | This parameter can be a address in RAM area (0x30000000 ~ 0x3003FFFF).

Return values

  None |

Definition at line 1001 of file gr55xx_ll_aes.h.